/**
 ****************************************************************************
 * @file	interrupt.h
 * @brief	Interrupt Functions for A-VE Plus
 * @version	V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */
#ifndef _INTERRUPT_H
#define _INTERRUPT_H

#undef EXTERN
#ifdef DEFINE_APP
#define EXTERN
#else
#define EXTERN  extern
#endif



/*===================================================================*
      Proto Type Definition
 *===================================================================*/
EXTERN	void	INT_interval_4kHz(void);
EXTERN	void	INT_VectorControlByVE_CH0(vector_t* const _motor , TSB_VE_TypeDef* const VEx);
EXTERN	void	INT_VectorControlByVE_CH1(vector_t* const _motor , TSB_VE_TypeDef* const VEx);

#undef EXTERN
#endif /*  _INTERRUPT_H */


/*************************** END OF FILE **************************************/
